package com.ruoyi.base.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 播报任务对象 robot_ops_broadcast_task
 * 
 * @author ruoyi
 * @date 2026-04-27
 */
public class RobotOpsBroadcastTask extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 播报任务名称 */
    @Excel(name = "播报任务名称")
    private String taskName;

    /** 播报内容ID，关联robot_ops_broadcast_content.id */
    @Excel(name = "播报内容ID，关联robot_ops_broadcast_content.id")
    private Long contentId;

    /** 开始时间，格式HH:mm:ss */
    @Excel(name = "开始时间，格式HH:mm:ss")
    private String startTime;

    /** 结束时间，格式HH:mm:ss */
    @Excel(name = "结束时间，格式HH:mm:ss")
    private String endTime;

    /** 播报频率，单位分钟 */
    @Excel(name = "播报频率，单位分钟")
    private Long frequencyMinutes;

    /** 循环类型  */
    @Excel(name = "循环类型 ")
    private Long cycleType;

    /** 循环取值，指定日期或星期配置 */
    @Excel(name = "循环取值，指定日期或星期配置")
    private String cycleValue;

    /** 启用状态：0停用，1启用 */
    @Excel(name = "启用状态：0停用，1启用")
    private String status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setTaskName(String taskName) 
    {
        this.taskName = taskName;
    }

    public String getTaskName() 
    {
        return taskName;
    }

    public void setContentId(Long contentId) 
    {
        this.contentId = contentId;
    }

    public Long getContentId() 
    {
        return contentId;
    }

    public void setStartTime(String startTime) 
    {
        this.startTime = startTime;
    }

    public String getStartTime() 
    {
        return startTime;
    }

    public void setEndTime(String endTime) 
    {
        this.endTime = endTime;
    }

    public String getEndTime() 
    {
        return endTime;
    }

    public void setFrequencyMinutes(Long frequencyMinutes) 
    {
        this.frequencyMinutes = frequencyMinutes;
    }

    public Long getFrequencyMinutes() 
    {
        return frequencyMinutes;
    }

    public void setCycleType(Long cycleType) 
    {
        this.cycleType = cycleType;
    }

    public Long getCycleType() 
    {
        return cycleType;
    }

    public void setCycleValue(String cycleValue) 
    {
        this.cycleValue = cycleValue;
    }

    public String getCycleValue() 
    {
        return cycleValue;
    }

    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskName", getTaskName())
            .append("contentId", getContentId())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("frequencyMinutes", getFrequencyMinutes())
            .append("cycleType", getCycleType())
            .append("cycleValue", getCycleValue())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
